Bug 463 - Date format should be user defined
: Date format should be user defined
Status: RESOLVED WONTFIX
Product: Settings and Maintenance
Control panel
: 5.0/(1.2009.42-11)
: All Maemo
: Medium enhancement with 32 votes (vote)
: ---
Assigned To: unassigned
: control-panel-bugs
:
: enhancement-it2005
: int-79364
:
  Show dependency tree
 
Reported: 2006-04-28 17:18 UTC by rblack
Modified: 2012-03-24 11:44 UTC (History)
7 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description rblack (reporter) 2006-04-28 17:18:48 UTC
This is similar to bug #303 for the time format.

It should be possible to change the date format to yyyy/mm/dd (for example),
possibly overiding the region-locale

Specifically, I use UK settings, and thhe date format is locked to dd/mm/yy...
Comment 1 Maemo QA (deprecated) 2006-05-09 12:23:40 UTC
Claiming ownership.
Comment 2 Maemo QA (deprecated) 2006-05-09 12:24:22 UTC
Enhancement, will be forwarded to upstream maintainer ASAP.
Comment 3 Maemo QA (deprecated) 2006-05-22 15:41:18 UTC
Feature request has been forwarded to upstream maintainer.
Comment 4 Quim Gil nokia 2007-03-27 08:03:51 UTC
CCing me.
Comment 5 Quim Gil nokia 2007-03-30 10:49:17 UTC
The resolution of this bug is the same than
https://maemo.org/bugzilla/show_bug.cgi?id=303 , please refer to the 12/24h
feature to know the details.

Tagging this feature request as LATER
Comment 6 Andre Klapper maemo.org 2008-09-08 14:21:09 UTC
reopening to get rid of the deprecated RESOLVED LATER resolution.
Comment 7 Neil MacLeod maemo.org 2008-09-08 21:11:07 UTC
Andre - you also knocked the priority down from Medium to Low when changing the
status... I disagree that this is now a low priority
fix/bug/enhancement/whatever - at the very least it's a Medium priority and
could/should probably be High. Then again we have a target milestone set, so
priority may not be particularly relevant in this case...
Comment 8 Andre Klapper maemo.org 2008-09-09 13:37:09 UTC
Yeah, priority in this Bugzilla is only really relevant for Website bugs, I
have to admit. It won't change a lot. :-)
Comment 9 Quim Gil nokia 2008-11-26 12:58:38 UTC
Fixed in Fremantle
Comment 10 Andre Klapper maemo.org 2009-04-28 15:35:27 UTC
Setting Target Milestone to Fremantle SDK beta.
Comment 11 Neil MacLeod maemo.org 2009-12-07 21:54:27 UTC
Not fixed in Fremantle according to bug 6363 comment 8.

Can the milestone of this bug be updated to an appropriate target? Hopefully
not Harmattan, but I suspect it will be.

Really not sure how this bug came to be marked as fixed judging by what has
shipped in Fremantle.
Comment 12 Quim Gil nokia 2009-12-08 08:36:40 UTC
Settings -> Date and time 

"24-hr clock" can be selected or not.

Back to FIXED. Next time please give at least 24h of doubt before reopening a
bug unless it's you who can certify the bug exists,  :)
Comment 13 Quim Gil nokia 2009-12-08 08:38:48 UTC
Ah wait, I see that this is not the AM/PM bug but the time format mm/yy.
Comment 14 Yves-Alexis 2009-12-27 15:44:05 UTC
Hmh, so what's the status on this one? Basically the “Date format” settings
changes the LC_TIME environment variable and it looks that it could be selected
independently from “Device Language” or “Regional settings” (but it can't at
the moment).
Comment 15 Niko Hämäläinen 2010-01-11 09:41:44 UTC
The latest firmware update didn't fix this. Still happens with language
settings: English (UK) and Regional settings Finnish.
Comment 16 Andre Klapper maemo.org 2010-01-11 17:48:01 UTC
(In reply to comment #15)
> The latest firmware update didn't fix this.

Of course it did not, as this bug report is in open state (not: fixed)...
Comment 17 Vincent Lefevre 2010-07-07 17:50:48 UTC
If this is done by setting LC_TIME, then this depends on bug 7591 in
particular.
Comment 18 Andre Klapper maemo.org 2012-03-24 11:44:59 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )